Recent

Author Topic: [CLOSED] Set default project requirements  (Read 3595 times)

pcurtis

  • Hero Member
  • *****
  • Posts: 939
[CLOSED] Set default project requirements
« on: December 18, 2021, 10:26:57 am »
Where / How can I set the default requirements for a new project?
« Last Edit: December 19, 2021, 07:35:03 am by pcurtis »
Windows 10 20H2
Laz 2.2.0
FPC 3.2.2

dsiders

  • Hero Member
  • *****
  • Posts: 637
Re: Set default project requirements
« Reply #1 on: December 18, 2021, 03:42:31 pm »
Where / How can I set the default requirements for a new project?

Some requirements are set when you select a Project type on the File > New dialog.

There is the Project > Project Options dialog.

There are the Project > Units and Project > Forms dialogs.

And the Project > Project Inspector dialog.

You can also edit the project source code to use dependent units.

Without a specific question, there is no specific answer.
Lazarus 2.0.12, 2.2.0, 2.2.2, 2.3.0 (Git) / FPC 3.2.0, 3.2.2, 3.3.1 / x86 64-bit / Windows 8.1
Preview Lazarus 2.3.0 documentation at: https://dsiders.gitlab.io/lazdocsnext

pcurtis

  • Hero Member
  • *****
  • Posts: 939
Re: Set default project requirements
« Reply #2 on: December 18, 2021, 03:53:29 pm »
Ok How can I set MyPackage (for example) as a default requirement for all new projects?

As in Project Inspector -> Required Packages
« Last Edit: December 18, 2021, 04:03:57 pm by pcurtis »
Windows 10 20H2
Laz 2.2.0
FPC 3.2.2

Bart

  • Hero Member
  • *****
  • Posts: 4690
    • Bart en Mariska's Webstek
Re: Set default project requirements
« Reply #3 on: December 18, 2021, 04:49:58 pm »
Never tested that, but create a new project template?

Bart

pcurtis

  • Hero Member
  • *****
  • Posts: 939
Re: Set default project requirements
« Reply #4 on: December 18, 2021, 04:58:39 pm »
@Bart I advise you not to try it. It's a joke. Problem after problem. I gave up on it.
Windows 10 20H2
Laz 2.2.0
FPC 3.2.2

Bart

  • Hero Member
  • *****
  • Posts: 4690
    • Bart en Mariska's Webstek
Re: Set default project requirements
« Reply #5 on: December 18, 2021, 11:16:04 pm »
That's no good then.
Did you report your problems?

(I don't even know how to make a new project template.)

Bart

pcurtis

  • Hero Member
  • *****
  • Posts: 939
Re: Set default project requirements
« Reply #6 on: December 19, 2021, 07:33:38 am »
« Last Edit: December 19, 2021, 07:36:31 am by pcurtis »
Windows 10 20H2
Laz 2.2.0
FPC 3.2.2

 

TinyPortal © 2005-2018